> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Create enrollment

> Creates a biometrics enrollment for a device in a participant.



## OpenAPI

````yaml api-reference/banking-api/receivables/biometrics/openapi.json POST /biometrics/enrollments
openapi: 3.0.0
info:
  title: Trio Biometrics API
  version: 0.1.0
servers:
  - url: http://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /biometrics/enrollments:
    post:
      tags:
        - biometrics
      summary: Create biometrics enrollment
      description: Creates a biometrics enrollment for a device in a participant.
      operationId: TrioInitiationWeb.Biometrics.EnrollmentController.create
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Enrollment_creation_parameters'
        description: Enrollment creation parameters
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Enrollment_response'
          description: Enrollment
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
      callbacks: {}
components:
  schemas:
    Enrollment_creation_parameters:
      description: Parameters for creating a biometrics enrollment
      example:
        account_branch: '0001'
        account_digit: '6'
        account_number: '12345'
        account_type: checking
        device_id: 019f9fbf-2c57-04a6-037c-c8684d749591
        external_id: external_id_example
        participant_id: 019f9fbf-2c55-2ea9-9690-bf5151689383
      properties:
        account_branch:
          description: Account branch
          nullable: true
          type: string
        account_digit:
          description: Account digit
          nullable: true
          type: string
        account_number:
          description: Account number
          nullable: true
          type: string
        account_type:
          description: Account type
          enum:
            - checking
            - payment
            - salary
            - savings
          nullable: true
          type: string
        device_id:
          description: Device ID
          format: uuid
          type: string
        external_id:
          description: External ID
          nullable: true
          type: string
        participant_id:
          description: Participant ID
          format: uuid
          type: string
      required:
        - participant_id
        - device_id
      title: Enrollment_creation_parameters
      type: object
    Enrollment_response:
      description: Response schema for a biometrics enrollment
      example:
        data:
          account_info:
            branch: '0001'
            digit: '6'
            ispb: '12345678'
            name: John Doe
            number: '12345'
            tax_number: '12345678901'
            type: checking
          device_id: 019f9fbf-2cd6-2659-0db8-5af4bb657392
          expiration_datetime: '2026-08-26T00:00:00Z'
          external_id: external_id_example
          id: 019f9fbf-2cd6-3625-7a85-9832c5787c32
          inserted_at: '2026-07-26T00:00:00Z'
          participant_id: 019f9fbf-2cd6-5fa6-c1d7-1e367f8ef4fe
          redirect_url: http://teste.com
          status: awaiting_enrollment
          updated_at: '2026-07-26T00:00:00Z'
      properties:
        data:
          $ref: '#/components/schemas/Enrollment'
      title: Enrollment_response
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object
    Enrollment:
      description: A biometrics enrollment
      example:
        device_id: 019f9fbf-2cb3-fd23-8e3e-05ab526f484e
        expiration_datetime: '2026-08-26T00:00:00Z'
        external_id: external_id_example
        id: 019f9fbf-2cb3-3924-4e1b-67a839a86c83
        inserted_at: '2026-07-26T00:00:00Z'
        participant_id: 019f9fbf-2cb3-63d1-5f56-6472a1eb9c8b
        redirect_url: http://teste.com
        status: awaiting_enrollment
        updated_at: '2026-07-26T00:00:00Z'
      properties:
        device_id:
          description: Device ID
          format: uuid
          type: string
        expiration_datetime:
          description: Expiration datetime
          format: date-time
          nullable: true
          type: string
        external_id:
          description: External ID
          nullable: true
          type: string
        id:
          description: Enrollment ID
          format: uuid
          type: string
        inserted_at:
          description: Created at
          format: date-time
          type: string
        participant_id:
          description: Participant ID
          format: uuid
          type: string
        redirect_url:
          description: Redirect URL
          nullable: true
          type: string
        status:
          description: Enrollment status
          type: string
        updated_at:
          description: Updated at
          format: date-time
          type: string
      title: Enrollment
      type: object

````